image: registry.gitlab.com/ens-data-challenge/accenta-gym-environment:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

before_script:
- apt update -q -y
- apt-get install -y build-essential unzip
- export PIP_CACHE_DIR="/opt/cache/pip"
- pip install --no-cache-dir -r requirements.txt
- python3 setup.py develop

pages:
  stage: deploy
  script:
  - python3 setup.py build_sphinx
  - mv build/sphinx/html/ public/
  artifacts:
    paths:
    - public
  only:
  - master
